Bug 151563 - bttv fails to change thu tuner frequency for Pinnacle PCTV Rave
bttv fails to change thu tuner frequency for Pinnacle PCTV Rave
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 14:17 EST by Eric Tanguy
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2005-03-19 14:17:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
When i modprobe bttv my tv card is well found : 
Linux video capture interface: v1.00
bttv: driver version 0.9.15 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
bttv: Bt8xx card found (0).
ACPI: PCI interrupt 0000:01:07.0[A] -> GSI 11 (level, low) -> IRQ 11
bttv0: Bt878 (rev 17) at 0000:01:07.0, irq: 11, latency: 64, mmio: 0xeb800000
bttv0: detected: Pinnacle PCTV [card=39], PCI subsystem ID is 11bd:0012
bttv0: using: Pinnacle PCTV Studio/Rave [card=39,autodetected]
bttv0: gpio: en=00000000, out=00000000 in=00fff3ff [init]
tda9885/6/7: chip found @ 0x96
tuner: chip found at addr 0xc0 i2c-bus bt878 #0 [sw]
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: pinnacle/mt: id=4 info="PAL+SECAM / mono" radio=no
bttv0: using tuner=33
tuner: type set to 33 (MT20xx universal) by bt878 #0 [sw]
tuner: microtune: companycode=3cbf part=42 rev=2f
tuner: microtune MT2050 found, OK
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: i2c: checking for TDA9875 @ 0xb0... not found
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
bttv0: registered device video0
bttv0: registered device vbi0
bttv0: PLL: 28636363 => 35468950 . ok

But when i try to watch TV using TVTime i found this message in dmesg and i can't see anything :
mt2050_set_if_freq failed with -121

The problem didn't exist with the kernel kernel-2.6.9-1.667 and using the kernel kernel-2.6.11-1.1185_FC4 the problem seems to be solved but this kernel is in rawhide and is for FC4

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1. modrobe bttv
2. use tvtime
3. see dmesg
  

Additional info:
Comment 1 Eric Tanguy 2005-03-24 05:47:28 EST
I have still the pb.
Eric
Comment 2 Dmitry Butskoy 2005-04-14 09:38:49 EDT
  The similar issues with newly updated kernel-2.6.11-1.14_FC3 .
  When using xawtv (self compiled under FC3, version 3.94), the system freezes
after several seconds. TV is still showing after the freeze, but all another
things are not working (keyboard, mouse, external ping to the host, etc.)
  Also, it seems that after tvtime, the bttv sound out fully disappeared...
Comment 3 Eric Tanguy 2005-04-14 17:25:23 EDT
My problem was no tv with 2.6.10 kernel whereas tv is fine with tvtime (try it)
with 2.6.11 kernel but when i achieve to boot this kernel ...
Comment 4 Warren Togami 2005-04-14 19:17:04 EDT
You need to go to upstream kernel.org bugzilla and the upstream tv-related
project for help on this.  Nobody at Red Hat develops anything related to the TV
tuner/encoder kernel drivers so this is not an issue that we can help.
Comment 5 Dave Jones 2005-07-15 14:31:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:54:42 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.